<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: classes/server.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
namespace PHPFusion\Mood;

abstract class MoodServer {
    protected static $locale = [];

    public function __construct() {
        include_once MOOD_PATH."templates/mood.tpl.php";
        self::$locale = fusion_get_locale("", MOOD_LOCALE);
    }

    public static function alluser() {
        $alluser = dbarray(dbquery("SELECT SUM(user_mood) as mons FROM ".DB_USERS." WHERE user_mood != 0".(multilang_table("MOOD") ? " AND ".in_group('user_language', LANGUAGE) : '')));
        return $alluser['mons'];
    }

    public static function userdb() {
        return dbcount("(user_id)", DB_USERS, "user_mood != 0".(multilang_table("MOOD") ? " AND ".in_group('user_language', LANGUAGE) : ''));
    }
}
